# Locations Photos

Locations Hub - Locations Photos

## Upload a new photo

 - [POST /photos](https://docs.uberall.com/apis/swagger/locations-photos/post_photos.md): Upload a single photo for a given location. This endpoint accepts multipart/form-data with a binary photo file.

## Get a Photo

 - [GET /photos/{id}](https://docs.uberall.com/apis/swagger/locations-photos/get_photos_id.md): Get a photo identified by its uberall unique id

## Delete a Photo

 - [DELETE /photos/{id}](https://docs.uberall.com/apis/swagger/locations-photos/delete_photos_id.md): Delete a photo identified by its uberall unique id

## Update an existing photo

 - [PATCH /photos/{id}](https://docs.uberall.com/apis/swagger/locations-photos/patch_photos_id.md): Update metadata of a photo identified by its uberall unique id.
                             Only metadata fields are supported here (e.g., type, description, identifier, crop values, sourceUrl).
                             The photo file/content cannot be replaced via this endpoint.
                             Each location can contain only one photo of a given type. If a photo of that type already exists, the request will fail.

